## ros-dashing-tracetools-test 0.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tracetools_test)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

option(TRACETOOLS_DISABLED "Explicitly disable support for tracing with LTTng" OFF)
if(NOT TRACETOOLS_DISABLED)
  # Set TRACING_ENABLED if we can find lttng-ust
  find_package(PkgConfig)
  if(PkgConfig_FOUND)
    pkg_check_modules(LTTNG lttng-ust)
    if(LTTNG_FOUND)
      set(TRACING_ENABLED TRUE)
    endif()
  endif()
endif()

# Tests
if(BUILD_TESTING)
  find_package(rclcpp REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(std_srvs REQUIRED)
  find_package(tracetools REQUIRED)

  # Avoid using -rdynamic on Windows
  if(NOT WIN32)
    set(RDYNAMIC_FLAG "-rdynamic")
  else()
    set(RDYNAMIC_FLAG "")
  endif()

  add_executable(test_publisher
    src/test_publisher.cpp
  )
  ament_target_dependencies(test_publisher
    rclcpp
    std_msgs
    tracetools
  )
  target_link_libraries(test_publisher "${RDYNAMIC_FLAG}")
  add_executable(test_subscription
    src/test_subscription.cpp
  )
  ament_target_dependencies(test_subscription
    rclcpp
    std_msgs
    tracetools
  )
  target_link_libraries(test_subscription "${RDYNAMIC_FLAG}")
  add_executable(test_intra
    src/test_intra.cpp
  )
  ament_target_dependencies(test_intra
    rclcpp
    std_msgs
    tracetools
  )
  target_link_libraries(test_intra "${RDYNAMIC_FLAG}")
  add_executable(test_ping
    src/test_ping.cpp
  )
  ament_target_dependencies(test_ping
    rclcpp
    std_msgs
    tracetools
  )
  target_link_libraries(test_ping "${RDYNAMIC_FLAG}")
  add_executable(test_pong
    src/test_pong.cpp
  )
  ament_target_dependencies(test_pong
    rclcpp
    std_msgs
    tracetools
  )
  target_link_libraries(test_pong "${RDYNAMIC_FLAG}")
  add_executable(test_timer
    src/test_timer.cpp
  )
  ament_target_dependencies(test_timer
    rclcpp
    tracetools
  )
  target_link_libraries(test_timer "${RDYNAMIC_FLAG}")
  add_executable(test_service
    src/test_service.cpp
  )
  ament_target_dependencies(test_service
    rclcpp
    std_srvs
    tracetools
  )
  target_link_libraries(test_service "${RDYNAMIC_FLAG}")
  add_executable(test_service_ping
    src/test_service_ping.cpp
  )
  ament_target_dependencies(test_service_ping
    rclcpp
    std_srvs
    tracetools
  )
  target_link_libraries(test_service_ping "${RDYNAMIC_FLAG}")
  add_executable(test_service_pong
    src/test_service_pong.cpp
  )
  ament_target_dependencies(test_service_pong
    rclcpp
    std_srvs
    tracetools
  )
  target_link_libraries(test_service_pong "${RDYNAMIC_FLAG}")

  install(TARGETS
    test_intra
    test_ping
    test_pong
    test_publisher
    test_service
    test_service_ping
    test_service_pong
    test_subscription
    test_timer
    DESTINATION lib/${PROJECT_NAME}
  )

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Only build tracing tests if LTTng is enabled and found
  if(TRACING_ENABLED)
    find_package(ament_cmake_pytest REQUIRED)

    # Run each test in its own pytest invocation
    set(_tracetools_test_pytest_tests
      test/test_intra.py
      test/test_node.py
      test/test_publisher.py
      test/test_service.py
      test/test_service_callback.py
      test/test_subscription.py
      test/test_subscription_callback.py
      test/test_timer.py
    )

    foreach(_test_path ${_tracetools_test_pytest_tests})
      get_filename_component(_test_name ${_test_path} NAME_WE)
      ament_add_pytest_test(${_test_name} ${_test_path}
        PYTHON_EXECUTABLE "${PYTHON_EXECUTABLE}"
        APPEND_ENV AMENT_PREFIX_PATH=${ament_index_build_path}
        PYTHONPATH=${CMAKE_CURRENT_BINARY_DIR}
        TIMEOUT 60
      )
    endforeach()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-tracetools-test (0.2.8-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 15 Oct 2019 16:28:22 -0000

ros-dashing-tracetools-test (0.2.6-1bionic) bionic; urgency=high

  * Fix "do_more" check for test_ping/test_pong
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 07:00:00 -0000

ros-dashing-tracetools-test (0.2.3-1bionic) bionic; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <fixed-term.christophe.bourquebedard@de.bosch.com>  Mon, 05 Aug 2019 07:00:00 -0000

ros-dashing-tracetools-test (0.2.0-1bionic) bionic; urgency=high

  * Enable tracing by default if LTTng is available
  * Contributors: Christophe Bedard, Tobias Blass

 -- Christophe Bedard <fixed-term.christophe.bourquebedard@de.bosch.com>  Tue, 30 Jul 2019 07:00:00 -0000

ros-dashing-tracetools-test (0.1.1-1bionic) bionic; urgency=high

  * Disable tracing-related tests by default
  * Contributors: Christophe Bedard

 -- Christophe Bedard <fixed-term.christophe.bourquebedard@de.bosch.com>  Tue, 16 Jul 2019 07:00:00 -0000

ros-dashing-tracetools-test (0.1.0-1bionic) bionic; urgency=high

  * Add tracetools_test package with utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <fixed-term.christophe.bourquebedard@de.bosch.com>  Thu, 11 Jul 2019 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-tracetools-test
Section: misc
Priority: extra
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, python3-pytest, ros-dashing-ament-cmake, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-tracetools, ros-dashing-tracetools-launch, ros-dashing-tracetools-read, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-tracetools-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: Testing utilities and tests for the tracetools package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-tracetools-test//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
